Execute after the component check succeeds && minio.Enable is not configured to use MinIO (#2026)

* Exit with code 1 when the check script fails

* Exit with code 1 when the check script fails

* Exit with code 1 when the check script fails

* Exit with code 1 when the check script fails

* Handle the return value of pre-start

* Handle the return value of pre-start

* Handle the return value of pre-start

* minio.Enable is not configured to use MinIO, therefore the image server is not checked

* minio.Enable is not configured to use MinIO, therefore the image server is not checked

* minio.Enable is not configured to use MinIO, therefore the image server is not checked

* minio.Enable is not configured to use MinIO, therefore the image server is not checked
This commit is contained in:
skiffer-git
2024-03-08 12:19:04 +08:00
committed by GitHub
parent a93615d3e0
commit 42482e7eb4
3 changed files with 51 additions and 12 deletions
+10 -2
View File
@@ -83,10 +83,18 @@ fi
# TODO Prelaunch tools, simple for now, can abstract functions later
TOOLS_START_SCRIPTS_PATH=${START_SCRIPTS_PATH}/openim-tools.sh
openim::log::status "\n## Pre Starting OpenIM services"
${TOOLS_START_SCRIPTS_PATH} openim::tools::pre-start
openim::log::print_blue "\n## Pre Starting OpenIM services"
if ! ${TOOLS_START_SCRIPTS_PATH} openim::tools::pre-start; then
openim::log::error "Pre Starting OpenIM services failed, aborting..."
exit 1
fi
openim::log::print_blue "Pre Starting OpenIM services processed successfully"
result=$("${OPENIM_ROOT}"/scripts/stop-all.sh)
if [[ $? -ne 0 ]]; then
openim::log::error "View the error logs from this startup. ${LOG_FILE} \n"